Get Stablecoin Reserves History
curl --request GET \
--url https://api.anchorage-staging.com/v2/stablecoins/reserves \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/stablecoins/reserves"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/stablecoins/reserves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"inTransit": "100.00",
"reportDate": "2023-12-25",
"reserveComposition": {
"cashDeposits": "5000.00",
"mmfXyz": "5000.00"
},
"reserveRatio": "1.00010",
"stablecoin": "USDX",
"totalReserves": "10000",
"totalStablecoinOnNetwork": "9999"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get Stablecoin Reserves History
Permissions required: Read vault activity
Retrieve the daily reserves reconciliation history for a stablecoin your organization is entitled to. Results are paginated and ordered by creation time (newest first).
GET
/
stablecoins
/
reserves
Get Stablecoin Reserves History
curl --request GET \
--url https://api.anchorage-staging.com/v2/stablecoins/reserves \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/stablecoins/reserves"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/stablecoins/reserves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"inTransit": "100.00",
"reportDate": "2023-12-25",
"reserveComposition": {
"cashDeposits": "5000.00",
"mmfXyz": "5000.00"
},
"reserveRatio": "1.00010",
"stablecoin": "USDX",
"totalReserves": "10000",
"totalStablecoinOnNetwork": "9999"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Token symbol to query. Your organization must be entitled to read reserves for this token.
Minimum string length:
1Return rows with reportDate on or after this date (inclusive), in YYYY-MM-DD format. Dates are always in UTC.
Minimum string length:
1Return rows with reportDate on or before this date (inclusive), in YYYY-MM-DD format. Dates are always in UTC.
Minimum string length:
1Maximum number of results to return (default 100, max 100)
Required range:
1 <= x <= 100Cursor for pagination - timestamp of the last result from the previous page (RFC3339 format)
Minimum string length:
1Was this page helpful?